Skip to main content
PUT
/
v1
/
api-keys
/
{uuid}
/
revoke
Revoke API Key
curl --request PUT \
  --url https://api.compute.x.io/v1/api-keys/{uuid}/revoke \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "created_at": "2023-12-25",
  "is_revoked": true,
  "name": "<string>",
  "object": "api_key",
  "permissions": [
    "<string>"
  ],
  "public_key": "<string>",
  "updated_at": "2023-12-25",
  "_id": "<string>",
  "account": "<string>",
  "account_uuid": "<string>",
  "allowed_ips": [
    "127.0.0.1",
    "192.168.1.1/24"
  ],
  "deleted_at": "2023-12-25",
  "expires_at": "2023-12-25",
  "last_used_at": "2023-12-25",
  "uuid": "<string>"
}

Path Parameters

uuid
string<uuid>
required

Body

application/json

The body is of type object.

Response

API key revoked successfully

created_at
string<date> | null
required
is_revoked
boolean
required
name
string
required
object
enum<string>
required
Available options:
api_key
permissions
string[]
required
public_key
string
required
updated_at
string<date> | null
required
_id
string | null
account
string | null
account_uuid
string | null
allowed_ips
string[]

OPTIONAL: List of allowed IP addresses or CIDR ranges. If no IPs are provided, the API key can be used from any IP address.

Example:
["127.0.0.1", "192.168.1.1/24"]
deleted_at
string<date> | null
expires_at
string<date> | null
last_used_at
string<date> | null
uuid
string | null